commit:     a539e8d7b4b846311c7869784fb04811ee4a49bf
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Tue Sep  6 17:14:12 2016 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Thu Sep  8 01:28:17 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a539e8d7

net-p2p/syncthing: bump to 0.14.6

Acked-By: Dirkjan Ochtman <djc <AT> gentoo.org>

Package-Manager: portage-2.3.0

 net-p2p/syncthing/Manifest                |   1 +
 net-p2p/syncthing/syncthing-0.14.6.ebuild | 122 ++++++++++++++++++++++++++++++
 2 files changed, 123 insertions(+)

diff --git a/net-p2p/syncthing/Manifest b/net-p2p/syncthing/Manifest
index 8eb1358..982e40e 100644
--- a/net-p2p/syncthing/Manifest
+++ b/net-p2p/syncthing/Manifest
@@ -2,3 +2,4 @@ DIST syncthing-0.13.10.tar.gz 4292039 SHA256 
a86c7948afabc6e7b07f217d5200fb1e36c
 DIST syncthing-0.14.3.tar.gz 6380761 SHA256 
1c7ce74db4bf780463c04ed3d5677296ad2bb347f3e35fe4229eb26893a6604a SHA512 
f9586013253ad031e1940e73f01f8ca398820e9ffeef0978fcd51079c535c04957c0be1314ecc635251ae06300c6b4141077ac5c3c8e7e9741d58e4545a7f3ba
 WHIRLPOOL 
b226642a41b8288ecd50eff5013a0c7b92e3f73dba85726f7bbbd529c0b6caeff85954205fcc7faf00bb9b5d18ff0809b93ddf7d0d4553815b3627bd2eb71c30
 DIST syncthing-0.14.4.tar.gz 6387191 SHA256 
5c29e2d3de4c35cf917df801c50a195f1cea612a31879c28a8474ce923c23551 SHA512 
0540d1e58b67d13401ecff4988897d185b04ca44f360c68cc52a2be8e70661cd6b84d6eae2b8f56e5a0f590efd9a8462f477f0492e5903992102a6c66bd3534e
 WHIRLPOOL 
4d5502c8e1d1577cc7223c88a7e364b853d7a2e469d9cdbbc01de98dd679fad61d3278ee8ff444acc10fec83bd460fce086b4ef47b2c0db17f7f0ec6f1377f90
 DIST syncthing-0.14.5.tar.gz 6387026 SHA256 
32979e333a77dcd4e2ba9cb9c74404f9fd06891032c84b1285bcb779c9e132b6 SHA512 
c60e3205624e49de34c17a77cf3a8e7af49572a53faa97a6dca7e57a7009c068f70f986e4e3f60774514e3b74a09edff4e6843563456d4ff97b408843a9a06fb
 WHIRLPOOL 
6283cf0cf0440a1333f4a27bdc5fcef389df975d177cd0cd41f7174164c9b9abc79dddbb9a64c394808b8ec4fa77b1f92fd67f2276d9b0277886d1a25437ef4e
+DIST syncthing-0.14.6.tar.gz 6390369 SHA256 
481d9e88db0c3b3e9b0c796fa6dbb62447f0da69022c77f0065370873b0909ff SHA512 
2a6d7dda6f014b1fce75d3199afdde517344524356e3881bb3cac035adc53dae3401260f072099a60d31394279e386c1d0e661fe21a5df0f1bf6b9808017ba34
 WHIRLPOOL 
e24ce88d5448d4f599a3de52c049d5eed3531d7072b9dbf731ec684e648b580f02b559e0b72f441b4bc41aeb8500e7e78cc2379aeb029b35c7b91bb7e411970e

diff --git a/net-p2p/syncthing/syncthing-0.14.6.ebuild 
b/net-p2p/syncthing/syncthing-0.14.6.ebuild
new file mode 100644
index 00000000..3d1e955
--- /dev/null
+++ b/net-p2p/syncthing/syncthing-0.14.6.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+EGO_PN="github.com/${PN}/${PN}"
+
+inherit golang-vcs-snapshot systemd user versionator
+
+DESCRIPTION="Open Source Continuous File Synchronization"
+HOMEPAGE="https://syncthing.net";
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~arm"
+IUSE="tools"
+
+DOCS="README.md AUTHORS CONTRIBUTING.md"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+
+       if use tools ; then
+               # separate user for the relay server
+               enewgroup strelaysrv
+               enewuser strelaysrv -1 -1 /var/lib/strelaysrv strelaysrv
+               # and his home folder
+               keepdir /var/lib/strelaysrv
+               fowners strelaysrv:strelaysrv /var/lib/strelaysrv
+       fi
+}
+
+src_prepare() {
+       default
+       sed -i \
+               's|^ExecStart=.*|ExecStart=/usr/libexec/syncthing/strelaysrv|' \
+               
src/${EGO_PN}/cmd/strelaysrv/etc/linux-systemd/strelaysrv.service \
+               || die
+}
+
+src_compile() {
+       export GOPATH="${S}:$(get_golibdir_gopath)"
+       cd src/${EGO_PN} || die
+       # If we pass "build" to build.go, it builds only syncthing itself, and
+       # places the binary in the root folder. If we do not pass "build", all 
the
+       # tools are built, and all binaries are placed in folder ./bin.
+       ST_BUILD="build"
+       if use tools ; then
+               ST_BUILD=""
+       fi
+       go run build.go -version "v${PV}" -no-upgrade ${ST_BUILD} || die "build 
failed"
+}
+
+src_test() {
+       cd src/${EGO_PN} || die
+       go run build.go test || die "test failed"
+}
+
+src_install() {
+       cd src/${EGO_PN} || die
+       doman man/*.[157]
+       einstalldocs
+
+       if use tools ; then
+               dobin bin/syncthing
+               exeinto /usr/libexec/syncthing
+               for exe in bin/* ; do
+                       [[ "${exe}" = "bin/syncthing" ]] || doexe "${exe}"
+               done
+       else
+               dobin syncthing
+       fi
+
+       # openrc and systemd service files
+       systemd_dounit 
"${S}"/src/${EGO_PN}/etc/linux-systemd/system/${PN}@.service \
+               
"${S}"/src/${EGO_PN}/etc/linux-systemd/system/${PN}-resume.service
+       systemd_douserunit 
"${S}"/src/${EGO_PN}/etc/linux-systemd/user/${PN}.service
+       newconfd "${FILESDIR}/${PN}.confd" ${PN}
+       newinitd "${FILESDIR}/${PN}.initd" ${PN}
+
+       keepdir /var/{lib,log}/${PN}
+       fowners ${PN}:${PN} /var/{lib,log}/${PN}
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/${PN}.logrotate" ${PN}
+
+       if use tools ; then
+               # openrc and systemd service files
+               systemd_dounit 
"${S}"/src/${EGO_PN}/cmd/strelaysrv/etc/linux-systemd/strelaysrv.service
+               newconfd "${FILESDIR}/strelaysrv.confd" strelaysrv
+               newinitd "${FILESDIR}/strelaysrv.initd" strelaysrv
+
+               insinto /etc/logrotate.d
+               newins "${FILESDIR}/strelaysrv.logrotate" strelaysrv
+       fi
+}
+
+pkg_postinst() {
+       local v
+       for v in ${REPLACING_VERSIONS}; do
+               if [[ $(get_version_component_range 2) -gt \
+                               $(get_version_component_range 2 ${v}) ]]; then
+                       ewarn "Version ${PV} is not protocol-compatible with 
version" \
+                               "0.$(($(get_version_component_range 2) - 1)).x 
or lower."
+                       ewarn "Make sure all your devices are running at least 
version" \
+                               "0.$(get_version_component_range 2).0."
+               fi
+       done
+
+       # check if user syncthing-relaysrv exists
+       # if yes, warn that it has been moved to strelaysrv
+       if [[ -n "$(egetent passwd syncthing-relaysrv 2>/dev/null)" ]]; then
+               ewarn
+               ewarn "The user and group for the relay server have been 
changed"
+               ewarn "from syncthing-relaysrv to strelaysrv"
+               ewarn "The old user and group are not deleted automatically. 
Delete them by running:"
+               ewarn "    userdel -r syncthing-relaysrv"
+               ewarn "    groupdel syncthing-relaysrv"
+       fi
+}

Reply via email to